package org.jboss.serial.studies;

import java.util.ArrayList;
import java.util.Iterator;

import junit.framework.TestCase;

import gnu.trove.THashSet;

public class TroveStudyTest extends TestCase {

	static class Test
	{
	}
	
	static class MyHashSet extends THashSet
	{
		public MyHashSet(int initialCapacity)
		{
			super(initialCapacity);
		}
		public int getIndex(Object obj)
		{
			return index(obj);
		}
	}
	
	public void test1()
	{
		MyHashSet myHash = new MyHashSet(150);
		ArrayList list = new ArrayList();
		for (int i=0;i<100;i++)
		{
			Test test = new Test();
			list.add(test);
			myHash.add(test);
			System.out.println("on iteration " + i + " index = " + myHash.getIndex(test));
		}
		
		int i=0;
		Iterator iterator = list.iterator();
		while (iterator.hasNext())
		{
			Test itemTest = (Test)iterator.next();
			
			System.out.println("on second iteratorion " + i + " index = " + myHash.getIndex(itemTest));
		}
		
	}
	
}
