/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/

package org.jboss.serial.contribtests.customertest;

import java.io.Serializable;

/**
 * @author prashantp
 * @version $Revision: 137 $
 */
public class Claim implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = 5719723797630495271L;
    private Long id;
    private Double claimAmount;
    private Integer claimStatus;
    private Integer claimType;
    private Long policyId;

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public Double getClaimAmount() {
        return claimAmount;
    }

    /**
     * DOCUMENT ME!
     *
     * @param claimAmount DOCUMENT ME!
     */
    public void setClaimAmount(Double claimAmount) {
        this.claimAmount = claimAmount;
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public Integer getClaimStatus() {
        return claimStatus;
    }

    /**
     * DOCUMENT ME!
     *
     * @param claimStatus DOCUMENT ME!
     */
    public void setClaimStatus(Integer claimStatus) {
        this.claimStatus = claimStatus;
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public Integer getClaimType() {
        return claimType;
    }

    /**
     * DOCUMENT ME!
     *
     * @param claimType DOCUMENT ME!
     */
    public void setClaimType(Integer claimType) {
        this.claimType = claimType;
    }

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public Long getId() {
        return id;
    }

    /**
     * DOCUMENT ME!
     *
     * @param id DOCUMENT ME!
     */
    public void setId(Long id) {
        this.id = id;
    }

    public Long getPolicyId() {
        return policyId;
    }

    public void setPolicyId(Long policyId) {
        this.policyId = policyId;
    }
}